// E-flio B - Introduo  Programao 2024/25

#include <stdlib.h>
#include <stdio.h>

// cdigos para as funes das abelhas, ordem do enunciado
#define ABELHA_FAX 0
#define ABELHA_NUT 1
#define ABELHA_CON 2
#define ABELHA_GUA 3
#define ABELHA_FOR 4
#define ABELHA_ZAN 5
#define ABELHA_RAI 6
#define ABELHA_OVO 7
#define ABELHA_LAR 8
#define ABELHA_PUP 9


void DistribuirAbelhas(int funcaoAbelha[10], int nAbelhas) {
	int i;
	// inicializar o nmero de abelhas
	for (i = ABELHA_FAX; i <= ABELHA_PUP; i++)
		funcaoAbelha[i] = 0;

	if (nAbelhas < 200) 
		return;

	// zanges e rainha tm nmero fixo
	funcaoAbelha[ABELHA_ZAN] = 40;
	funcaoAbelha[ABELHA_RAI] = 1;

	// dias so todos iguais, pelo que multiplica-se a distribuio diria por 40
	nAbelhas /= 40; // fica nmero de abelhas operrias por dia
	for (i = 0; nAbelhas > 0; i++, nAbelhas--)
		funcaoAbelha[i % 5] += 40; // uma abelha por cada dia - operrias de 0 a 4
}

void RelatorioColmeia(int funcaoAbelha[10]) {
	int i;
	printf("\nRelatorio colmeia: ");
	printf("\n fax nut con gua for zan rai ovo lar pup mel pol nec cri zan rea \n");
	for (i = ABELHA_FAX; i <= ABELHA_PUP; i++)
		if (funcaoAbelha[i] > 0)
			printf(" %3d", funcaoAbelha[i]);
		else
			printf("    ");
	// informao dos favos  fixa:
	printf("\n\
    Favo   0:            celulas vazias:\n\
                                 usadas:");
}


///////////////////////////////////////////////////////////////////////////
// main: 
int main() 
{
	int nAbelhas, nCelulas, minutos, temporadas;
	int funcaoAbelha[10]; // numero de abelhas em cada funo, ordem do enunciado

	//printf("Quantidade de abelhas: ");
	scanf("%d", &nAbelhas);
	//printf("Quantidade de celulas: ");
	scanf("%d", &nCelulas);
	//printf("Minutos por temporada: ");
	scanf("%d", &minutos);
	//printf("Temporadas: ");
	scanf("%d", &temporadas);

	DistribuirAbelhas(funcaoAbelha, nAbelhas);
	RelatorioColmeia(funcaoAbelha);
}
